## cairo-dock-plug-ins 3.1.99.rc2.1~20130304~bzr2752

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.1.99.rc2")

add_definitions (-std=c99 -Wall) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})
# check that version matches with the core
execute_process(
    COMMAND pkg-config --modversion gldi  # 2.2.0-3
    OUTPUT_VARIABLE dock_version)
STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
if (NOT "${dock_version}" STREQUAL "${VERSION}")		# Version
	if ("${PACKAGEMENT}" STREQUAL "")
		MESSAGE (FATAL_ERROR "Error : version mismatch with the core : " ${VERSION} <> ${dock_version})
	else ()
		MESSAGE (WARNING "Warning : version mismatch with the core : " ${VERSION} <> ${dock_version})
	endif ()
endif()

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()


########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)

############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0") ## GIO is used by a few applets: do not offer the possibility to not disable it
add_subdirectory (gvfs-integration)

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
enable_if_not_defined (enable-dbusmenu-support)
if (enable-dbusmenu-support)
	# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
	## DBusMenu Glib
	set (DBUSMENU_MODULE dbusmenu-glib-0.4)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	if (NOT DBUSMENU_FOUND)
		set (DBUSMENU_MODULE dbusmenu-glib)
		pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
	else ()
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	endif()

	## DBusMenu Gtk
	if (gtkversion EQUAL 2)
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	if (NOT DBUSMENU_GTK_FOUND)
		if (gtkversion EQUAL 2)
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
		else()
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
		endif()
		pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	endif()
endif()

## Indicator
enable_if_not_defined (enable-indicator-support)
if (enable-indicator-support)
	if (gtkversion EQUAL 2)
		set (INDICATOR_APPLET_MODULE indicator-0.4)
	else()
		set (INDICATOR_APPLET_MODULE indicator3-0.4)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	if (INDICATOR_APPLET_FOUND)
		set (INDICATOR_NEW_VERSION TRUE)  # oneiric and newer
	else()
		if (gtkversion EQUAL 2)
			set (INDICATOR_APPLET_MODULE indicator)
		else()
			set (INDICATOR_APPLET_MODULE indicator3)
		endif()
		pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	endif()
endif()

## libido
enable_if_not_defined (enable-libido-support)
if (enable-libido-support)
	if (gtkversion EQUAL 2)
		set (IDO_MODULE libido-0.1)
	else()
		set (IDO_MODULE libido3-0.1)
	endif()
	pkg_check_modules (IDO ${IDO_MODULE})
endif()

## Extract versions of DBusMenu
if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if (INDICATOR_APPLET_FOUND)
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if (INDICATOR_NEW_VERSION)  # oneiric and newer
		if (gtkversion EQUAL 2)
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
			execute_process(
				COMMAND pkg-config --variable=indicatordir indicator3-0.4
				OUTPUT_VARIABLE INDICATORDIR)
			STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
			set (with_indicator3 yes)
			message (STATUS "  Indicators: with Indicator3 support")
		endif()
	else()
		if (gtkversion EQUAL 2)
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3
				OUTPUT_VARIABLE INDICATORICONSDIR)
		endif()
	endif()
	STRING (REGEX REPLACE "\n" "" INDICATORICONSDIR "${INDICATORICONSDIR}")  # la commande rajoute un retour chariot ...
	if (with_indicator3)
		add_subdirectory (Indicator-applet3)
	endif()
	## DBusMenu is needed for Indicator-applet

=== Global-Menu/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(data)
 
if (PYTHON_FOUND)
	add_subdirectory(registrar)
endif()

=== Status-Notifier/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(data)

if (PYTHON_FOUND)
	add_subdirectory(watcher)
endif()

=== Dbus/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Dbus.conf
	icon.svg
	DESTINATION ${dbusdatadir})

# Unity Launcher API ## need SetMenu => DBusMenu
if (${DBUSMENU_GTK_FOUND})
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock-launcher-API-daemon.py.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-launcher-API-daemon.py)

	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-launcher-API-daemon.py
		DESTINATION ${pluginsdir}
		RENAME cairo-dock-launcher-API-daemon
		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== Dbus/interfaces/CMakeLists.txt ===

if (PYTHON_FOUND)
	add_subdirectory(python)
	add_subdirectory(bash)
endif()
if (RUBY_FOUND)
	add_subdirectory(ruby)
endif()
if (MONO_FOUND)
	add_subdirectory(mono)
endif()
if (with_vala)
	add_subdirectory(vala)
endif()

=== GMenu/src/CMakeLists.txt ===

########### sources ###############

SET(cd-GMenu_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-notifications.c
	applet-notifications.h
	applet-menu-callbacks.c
	applet-menu-callbacks.h
	applet-menu.c
	applet-menu.h
	applet-util.c
	applet-util.h
	applet-recent.c
	applet-recent.h
	applet-run-dialog.c
	applet-run-dialog.h
	applet-struct.h
)

add_library(${PACKAGE_GMENU} SHARED ${cd-GMenu_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${gmenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="GMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="GMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_GMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
if (${LIBGIO_FOUND})
	add_definitions (-DHAVE_GIO=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${GMENU_PACKAGE_INCLUDE_DIRS}
	${LIBGIO_PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${GMENU_PACKAGE_LIBRARY_DIRS}
	${LIBGIO_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_GMENU}
	${PACKAGE_LIBRARIES}
	${GMENU_PACKAGE_LIBRARIES}
	${LIBGIO_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_GMENU} DESTINATION ${pluginsdir})



#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-GMenu.la
#
#
#if WITH_GIO_IN_GMENU
#have_gio=-DHAVE_GIO="1"
#endif
#
#libcd_GMenu_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-menu-callbacks.c
#	applet-menu-callbacks.h
#	applet-menu.c
#	applet-menu.h
#	applet-util.c
#	applet-util.h
#	applet-recent.c
#	applet-recent.h
#	applet-run-dialog.c
#	applet-run-dialog.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_GMenu_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(GMENU_PACKAGE_CFLAGS)
#	$(GMENU_GIO_CFLAGS) 
#	$(have_gio)
#	-DMY_APPLET_SHARE_DATA_DIR=""${gmenudatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""GMenu.conf""
#	-DMY_APPLET_USER_DATA_DIR=""GMenu""
#	-DMY_APPLET_VERSION=""${VERSION_GMENU)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_GMENU)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_GMenu_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#	$(GMENU_GIO_LIBS)
#	$(GMENU_PACKAGE_LIBS)
#
#
#libcd_GMenu_la_LDFLAGS =
#	-avoid-version -module

=== dialog-rendering/data/CMakeLists.txt ===

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dialog-rendering.conf
	icon.svg
	DESTINATION ${dialog_renderingdatadir})

=== debian/changelog ===
cairo-dock-plug-ins (3.1.99.rc2.1~20130304~bzr2752-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - New applet: Screenshot
    - New plug-in: Sound-Effects
    - Added Gnome-Shell support
    - Added GDM support for user switching
    - Added support for all the Unity indicators
    - Countless bug-fixes and improvements
  * debian/rules:
    - CMake flags: switch to ON/OFF
  * debian/control:
    - Bumped Cairo-Dock versions
    - Added a few indicator applets as 'Suggests'
  * debian/cairo-dock-plug-ins.install
    - cairo-dock-unity-bridge has been renamed.

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 05 Mar 2013 00:11:48 +0100

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cli-common-dev (>= 0.7),
               cmake,
               debhelper (>= 8.1.3),
               libasound2-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgldi-dev (>= 3.1.98),
               libglib2.0-cil-dev,
               libglib2.0-dev (>= 2.20),
               libglu1-mesa-dev | libglu-dev,
               libgnome-menu-dev,
               libgnutls-dev,
               libgtk-3-dev,
               libical-dev,
               libido3-0.1-dev,
               libindicator3-dev,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev (>= 2.22.0),
               libsensors4-dev,
               libupower-glib-dev,
               libvte-2.90-dev,
               libwebkitgtk-3.0-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-dev,
               mono-devel,
               mono-gmcs,
               python,
               ruby,
               valac,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.1.98),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.1.98),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         curl,
         python,
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version}),
            cairo-dock-plug-ins-integration (>= ${source:Version})
Suggests: cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
          compiz,
          gnote,
          indicator-messages,
          indicator-sound,
          indicator-printers,
          indicator-sync,
          indicator-bluetooth
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-data (<< 3.0.0.1), cairo-dock-plug-ins (<= 2.0.8.0)
Breaks: cairo-dock-data (<< 3.0.0.1)
Depends: ${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), python, ${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0),
          cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0),
        cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), ruby, ${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable-gnome-integration=ON \
	-Denable-old-gnome-integration=OFF \
	-Denable-kde-integration=ON \
	-Denable-xfce-integration=ON \
	-DGMCS_EXECUTABLE=/usr/bin/mono-csc \
	-DROOT_PREFIX=$(CURDIR)/debian/tmp \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

common-binary-predeb-arch::
	dh_clifixperms
	dh_clideps -d

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

## cairo-dock-plug-ins 3.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.1.99.rc2")
+set (VERSION "3.2.0")
 
 add_definitions (-std=c99 -Wall) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})

=== debian/changelog ===
cairo-dock-plug-ins (3.2.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Upstream ChangeLog:
    - Clock: iCal: don't add a new task if the uid is NULL
    - DBus interfaces: install python interfaces for both python2 and 3
    - Dock rendering: fixed the drawing of the 3D and Curve views when the
      alignment  is not centered
    - Fixed a few compilation errors and warning for FreeBSD
    - GMenu: init: load all menus and submenus in a separated thread and
      not in the mainloop to avoid tiny freezes at startup
    - GMenu: split the applet in two directories: one if libgnome-menu-3 is
      available and another one (GMenu-old) if libgnome-menu is available.
    - GMenu: if the user wants to show the menu before it's loaded, set a
      pending event
    - gvfs integration: hidden files were not correctly handled
    - po: Imported translations from Launchpad
    - Shortcuts: Disk usage: some sentenses was not translatable
    - Shortcuts: for a bookmark that points to a volume mount it before
    - Shortcuts: if the user wants to show the menu before it's loaded, set
      a pending event
    - ShowDesktop: Gnome-Shell workaround: add a small delay before
      triggering the desktop Exposé or Gnome-Shell will not respond
    - Sound-control: ignore alsa callbacks that are not 'value changed'
    - Status-Notifier: don't reset the icon if not in compact mode
  * debian/control:
    - Used the newer version of libgnome-menu (libgnome-menu-3-dev)
    - Bumped Cairo-Dock versions
    - Build-Depends: Added python3 in order to install both python 2 and 3
      interfaces

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 26 Mar 2013 00:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libetpan-dev,
                libexif-dev,
                libgl1-mesa-dev | libgl-dev,
-               libgldi-dev (>= 3.1.98),
+               libgldi-dev (>= 3.2.0),
                libglib2.0-cil-dev,
                libglib2.0-dev (>= 2.20),
                libglu1-mesa-dev | libglu-dev,
-               libgnome-menu-dev,
+               libgnome-menu-3-dev,
                libgnutls-dev,
                libgtk-3-dev,
                libical-dev,
@@ -43,6 +43,7 @@
                mono-devel,
                mono-gmcs,
                python,
+               python3,
                ruby,
                valac,
                x11proto-xf86vidmode-dev
@@ -54,7 +55,7 @@
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.1.98),
+Depends: cairo-dock-core (>= 3.2.0),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -71,7 +72,7 @@
 Section: graphics
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.1.98),
+Depends: cairo-dock-core (>= 3.2.0),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          curl,
          python,

## cairo-dock-plug-ins 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.2.0")
+set (VERSION "3.2.1")
 
 add_definitions (-std=c99 -Wall) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds) # removed for stable versions: -Wstrict-prototypes #-Wunreachable-code -Wno-unused-parameter -Wall
 if (NOT ${CMAKE_BUILD_TYPE})

=== Indicator-applet3/CMakeLists.txt ===

SET(impl_SRCS
	indicator-applet3.c			indicator-applet3.h
	indicator-applet3-utils.c	indicator-applet3-utils.h
)

add_library(indicator-applet3 STATIC ${impl_SRCS})

# Needed for amd64 architecture
add_definitions (-fPIC)
add_definitions (-DINDICATOR_DIR="${INDICATORDIR}")
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS})

########### install files ###############

=== gvfs-integration/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gio-vfs.c				cairo-dock-gio-vfs.h
)

if (${LIBGIO_FOUND})
	add_definitions (-DHAVE_LIBGIO="1")
	add_definitions (-fPIC)
endif()

add_library(gvfs-integration STATIC ${impl_SRCS})
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_PLUGINS}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${LIBGIO_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${LIBGIO_INCLUDE_DIRS})

target_link_libraries (gvfs-integration
	${PACKAGE_LIBRARIES}
	${LIBGIO_LIBRARIES})

########### install files ###############

=== Dbus/src/CMakeLists.txt ===

########### sources ###############

SET (cd-Dbus_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 			applet-config.h
	applet-dbus.c 			applet-dbus.h
	interface-main-methods.c 	interface-main-methods.h
	interface-applet-object.c 	interface-applet-object.h
	interface-applet-methods.c 	interface-applet-methods.h
	interface-applet-signals.c 	interface-applet-signals.h
	dbus-applet-spec.h
	dbus-sub-applet-spec.h
	dbus-main-spec.h
	applet-struct.h
)

add_library (${PACKAGE_DBUS} SHARED ${cd-Dbus_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dbusdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="Dbus.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Dbus")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DBUS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DBUS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")

IF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
	set(kvm "kvm")
endif()

if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	message (STATUS " * With DBusMenu support")
	add_definitions (-DDBUSMENU_GTK_FOUND=1)
	if (DBUSMENU_GTK3_NEW)
		add_definitions (-DDBUSMENU_GTK3_NEW=1)
	endif()

	include_directories (
		${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS}
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS}
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${DBUSMENU_LIBRARIES}
		${DBUSMENU_GTK_LIBRARIES}
		${PACKAGE_LIBRARIES}
		${kvm})
else()
	include_directories (
		${PACKAGE_INCLUDE_DIRS})

	link_directories (
		${PACKAGE_LIBRARY_DIRS})

	target_link_libraries (${PACKAGE_DBUS}
		${PACKAGE_LIBRARIES}
		${kvm})
endif()

########### install files ###############

install (TARGETS ${PACKAGE_DBUS} DESTINATION ${pluginsdir})

=== GMenu/src/CMakeLists.txt ===
--- 
+++ 
@@ -8,12 +8,10 @@
 	applet-config.h
 	applet-notifications.c
 	applet-notifications.h
-	applet-menu-callbacks.c
-	applet-menu-callbacks.h
 	applet-menu.c
 	applet-menu.h
-	applet-util.c
-	applet-util.h
+	applet-tree.c
+	applet-tree.h
 	applet-recent.c
 	applet-recent.h
 	applet-run-dialog.c

=== Messaging-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
)

# 12.10
if (INDICATOR_MESSAGES_WITH_IND3)
	list (APPEND MODULE_SRCS applet-indicator3.c)
else ()
	list (APPEND MODULE_SRCS applet-messaging.c applet-menu.c)
endif()

add_library(${PACKAGE_MESSAGING_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${messaging_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Messaging-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Messaging-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_MESSAGING_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DINDICATOR_OLD_NAMES=${INDICATOR_OLD_NAMES})
add_definitions (-DINDICATOR_MESSAGES_HAS_LOZENGE=${INDICATOR_MESSAGES_HAS_LOZENGE})
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

if (INDICATOR_MESSAGES_WITH_IND3)
	message (STATUS "   With Indicator-Applet3")
	add_definitions (-DINDICATOR_MESSAGES_WITH_IND3=1)
	set (EXTRAS_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARY_DIRS ${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARIES indicator-applet3)
else()
	set (EXTRAS_INCLUDE_DIRS ${DBUSMENU_INCLUDE_DIRS} ${DBUSMENU_GTK_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARY_DIRS ${DBUSMENU_LIBRARY_DIRS} ${DBUSMENU_GTK_LIBRARY_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARIES ${DBUSMENU_LIBRARIES} ${DBUSMENU_GTK_LIBRARIES} indicator-applet)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_MESSAGING_MENU}
	${PACKAGE_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	${EXTRAS_LIBRARIES})
########### install files ###############

install(TARGETS ${PACKAGE_MESSAGING_MENU} DESTINATION ${pluginsdir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 				applet-draw.h
	applet-generic.c 			applet-generic.h
	# alsa backend
	applet-backend-alsamixer.c 	applet-backend-alsamixer.h
	applet-struct.h)

# Sound service backend (optionnal)
if (INDICATOR_SOUNDMENU_WITH_IND3)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu.c applet-backend-sound-menu.h)
elseif (with_soundmenu)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu-old.c applet-backend-sound-menu-old.h
		applet-menu.c 				applet-menu.h
		volume-widget.c				volume-widget.h
		voip-input-widget.c			voip-input-widget.h
		transport-widget.c			transport-widget.h
		mute-widget.c				mute-widget.h
		metadata-widget.c			metadata-widget.h)
endif()

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

if (INDICATOR_SOUNDMENU_WITH_IND3)
	message (STATUS "   With Indicator-Applet3")
	add_definitions (-DINDICATOR_SOUNDMENU_WITH_IND3=1)
	set (EXTRAS_INCLUDE_DIRS ${INDICATOR_APPLET_INCLUDE_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARY_DIRS ${INDICATOR_APPLET_LIBRARY_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARIES ${INDICATOR_APPLET_LIBRARIES} indicator-applet3)
elseif (with_soundmenu)
	add_definitions (-DSOUND_SERVICE_SUPPORT="1")
	add_definitions (-DSOUND_SERVICE_VERSION=${SOUND_SERVICE_VERSION})
	if (${DBUSMENU_GTK3_NEW})
		add_definitions (-DDBUSMENU_GTK3_NEW=1)
	endif()
	set (EXTRAS_INCLUDE_DIRS ${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS} ${INDICATOR_APPLET_INCLUDE_DIRS}
		${IDO_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARY_DIRS ${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS} ${INDICATOR_APPLET_LIBRARY_DIRS}
		${IDO_LIBRARY_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARIES ${DBUSMENU_LIBRARIES} ${DBUSMENU_GTK_LIBRARIES}
		${INDICATOR_APPLET_LIBRARIES} ${IDO_LIBRARIES} indicator-applet)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${ALSA_MIXER_PACKAGE_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${ALSA_MIXER_PACKAGE_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ALSA_MIXER}
	${PACKAGE_LIBRARIES}
	${ALSA_MIXER_PACKAGE_LIBRARIES}
	${EXTRAS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})

=== dnd2share/src/CMakeLists.txt ===

########### sources ###############

SET(cd-dnd2share_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-notifications.c
	applet-notifications.h
	applet-dnd2share.c
	applet-dnd2share.h
	applet-backend-uppix.c
	applet-backend-uppix.h
	applet-backend-imagebin.c
	applet-backend-imagebin.h
	applet-backend-imageshack.c
	applet-backend-imageshack.h
	applet-backend-free.c
	applet-backend-free.h
	applet-backend-pastebin.c
	applet-backend-pastebin.h
	applet-backend-custom.c
	applet-backend-custom.h
	applet-backend-dropbox.c
	applet-backend-dropbox.h
	applet-backend-ubuntuone.c
	applet-backend-ubuntuone.h
	applet-backend-videobin.c
	applet-backend-videobin.h
	applet-backend-paste-ubuntu.c
	applet-backend-paste-ubuntu.h
	applet-backend-pastebin-mozilla.c
	applet-backend-pastebin-mozilla.h
	applet-backend-codepad.c
	applet-backend-codepad.h
	applet-struct.h
)

add_library(${PACKAGE_DND2SHARE} SHARED ${cd-dnd2share_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dnd2sharedatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="dnd2share.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="dnd2share")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DND2SHARE}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DND2SHARE}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DND2SHARE}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_DND2SHARE} DESTINATION ${pluginsdir})

=== shared-files/images/CMakeLists.txt ===

########### install files ###############

install(FILES
	expose-desktops.svg
	expose-windows.svg
	show-desktop.svg
	widget-layer.svg
	icon-gauge.png
	icon-graph.png
	DESTINATION ${shared_filesdatadir}/images)

=== debian/changelog ===
cairo-dock-plug-ins (3.2.1-0ubuntu3) saucy; urgency=low

  * Rebuild with libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 14:13:24 +0100

cairo-dock-plug-ins (3.2.1-0ubuntu2) saucy; urgency=low

  * Depend on CK and UPower, since we use their D-Bus interfaces. 

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 02 May 2013 23:40:58 +0100

cairo-dock-plug-ins (3.2.1-0ubuntu1) raring; urgency=low

  * New upstream release. (bug-fix version) LP: #1168840
  * Detailed Upstream ChangeLog:
    - DBus:
      - Python interface: Translations: avoid blank dialogues when using
        special characters from .mo files with Python2.
      - Force the height of the menu, since GTK doesn t update it correctly
    - GMenu:
      - Preload icons at startup: removed this option: it s no longer
        needed when using libgnome-menu-3 and it can slow down the
        creation of this menu
      - Fix: LP: #1070663
    - Indicator-Generic:
      - If no indicator found, stay in the plugin mode to not create an
        useless icon
      - New indicators was not automatically launched: Monitor the
        indicator3 dir in order to reload indicators when these files are
        modified/added/removed
    - Indicators: Generic & Messaging Menu: LP: #1094592
      - Do not insert or detach icons if it s not necessary
    - Translations: Imported translations files from Launchpad
  * debian/control:
    - Bumped Cairo-Dock versions
    - 'cairo-dock-plug-ins' provides 'indicator-renderer' thanks to
      'Indicator-Generic' applets (and 'Indicator-applet3' internal lib)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 14 Apr 2013 12:00:01 +0200

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
                libetpan-dev,
                libexif-dev,
                libgl1-mesa-dev | libgl-dev,
-               libgldi-dev (>= 3.2.0),
+               libgldi-dev (>= 3.2.1),
                libglib2.0-cil-dev,
                libglib2.0-dev (>= 2.20),
                libglu1-mesa-dev | libglu-dev,
                libgnome-menu-3-dev,
                libgnutls-dev,
                libgtk-3-dev,
-               libical-dev,
+               libical-dev (>= 1.0),
                libido3-0.1-dev,
                libindicator3-dev,
                libndesk-dbus-glib1.0-cil-dev,
@@ -55,7 +55,7 @@
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.2.0),
+Depends: cairo-dock-core (>= 3.2.1),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -72,11 +72,13 @@
 Section: graphics
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.2.0),
+Depends: cairo-dock-core (>= 3.2.1),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          curl,
          python,
          wget,
+         consolekit,
+         upower,
          ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -92,6 +94,7 @@
           indicator-printers,
           indicator-sync,
           indicator-bluetooth
+Provides: indicator-renderer
 Multi-Arch: same
 Description: Set of plug-ins for Cairo-Dock
  Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
